augment_columns {broom} | R Documentation

## add fitted values, residuals, and other common outputs to an augment call

### Description

Add fitted values, residuals, and other common outputs to the value returned from `augment`.

### Usage

    augment_columns(x, data, newdata, type, type.predict = type,
      type.residuals = type, se.fit = TRUE, ...)

### Arguments

`x` | a model
`data` | original data onto which columns should be added
`newdata` | new data to predict on, optional
`type` | Type of prediction and residuals to compute
`type.predict` | Type of prediction to compute; by default same as `type`
`type.residuals` | Type of residuals to compute; by default same as `type`
`se.fit` | Value to pass to predict's `se.fit`, or NULL for no value
`...` | extra arguments (not used)

### Details

In the case that a residuals or influence generic is not implemented for the model, fail quietly.

[Package broom version 0.4.1 Index]